<?php
/* This file keeps an index of the titles of current pages
   and gives them to the JavaScript environment when requested */
$u['Velkommen'] = 'velkommen.htm';

// Matematik
  // Trigonometri
$u['Sinusrelationer'] = 'sinusrel.htm';
$u['Cosinusrelationer'] = 'cosinuserel.htm';
  // Funktioner
$u['Parabler'] = 'parabler.htm';
$u['Lineære funktioner'] = 'lin_funktioner.htm';
$u['Skæringspunkter'] = 'skaeringspunkter.htm';

// Fysik
$u['Enheder og betydning'] = 'enheder.htm';
  // Standardformler
$u['Fart og acceleration'] = 'fart.htm';
  // Energi
$u['Energi generelt'] = 'energi.htm';
$u['Arbejde'] = 'arbejde.htm';
$u['Varme'] = 'varme.htm';

$u['Tryk'] = 'tryk.htm';
$u['Newtons love'] = 'newton.htm';

// Værktøjer
$u['Skriv matematik'] = 'latex.php';
$u['Lommeregner'] = 'calc.htm';
$u['Noter'] = 'noter.php';
$u['Hjælp'] = 'help.htm';
  // Algohol
$u['Ændr tema'] = 'tema.htm';
$u['Om Algohol'] = 'om.htm';
$u['Nyheder'] = 'nyheder.php';
$u['Algostore'] = 'algostore.php';

$title = $_GET['title'];
$type = $_GET['type'];
$page = $u[urldecode($title)];

if ($type == 'png') {
  header('Content-type: image/png');
  $spl = explode('.', $page);
  $page = 'icons/' . substr($page, 0, strlen($page) - strlen($spl[sizeof($spl) - 1]) - 1) . '.png';
  if (!is_file($page)) $page = 'icons/default.png';
  
  $filename = $page;
  $handle = fopen($filename, "rb");
  $contents = fread($handle, filesize($filename));
  fclose($handle);
  echo $contents;
}
else {
  header('Content-type: text/html; charset=utf-8');
  if (!is_file($page)) $page = 'error.htm';
  include($page);
}
?>